rte_port_ring_writer_nodrop_params(3)

NAME
rte_port_ring_writer_nodrop_params

SYNOPSIS

#include <rte_port_ring.h>

  Data Fields

struct rte_ring * ring
uint32_t tx_burst_sz
uint32_t n_retries

Detailed Description

ring_writer_nodrop port parameters

Definition at line 53 of file rte_port_ring.h.

Field Documentation

  struct rte_ring* ring
Underlying producer ring that has to be pre-initialized

Definition at line 55 of file rte_port_ring.h.

  uint32_t tx_burst_sz
Recommended burst size to ring. The actual burst size can be bigger or smaller than this value.

Definition at line 59 of file rte_port_ring.h.

  uint32_t n_retries
Maximum number of retries, 0 for no limit

Definition at line 62 of file rte_port_ring.h.

Author

Generated automatically by Doxygen for DPDK from the source code.